' bslib: BrightScript runtime functions for the BrighterScript language
' v0.1.1
'
' Convert a value into a string. For non-primitive values, this will return the type instead of its value in most cases.
' @param dynamic value - the value to be turned into a string.
' @return string - the string representation of `value`
'
function bslib_toString(value)
end function
'
' Simple ternary function. Given a condition, return the
' consequent if true, and the alternate if false
'
function bslib_ternary(condition, consequent, alternate)
end function
'
' Return consequent if consequent is not invalid, otherwise return alternate
'
function bslib_coalesce(consequent, alternate)
end function
